Email Template API
The email template endpoint is rather limited and only allows to retrieve the available templates, so you can dynamically use them with other calls.
Get all email templates
GET /email-template/allGets a list with the ids, names, and types of all available email templates.
Get all email templates of a specific type
GET /email-template/:typeGets a list with the ids and names of all available email templates of a specific type.
Available types:
- rsvp_doi
- rsvp_thank_you
- rsvp_signup_confirmation
- rsvp_change_confirmation
- rsvp_event_update
- rsvp_magic_link
- rsvp_second_signup
Get the latest email template
GET /email-template/latestGets the latest email template.
Errors
See API Authentication for key setup. A missing or invalid key returns 401. A request for a specific email template can return 404 when the template is unavailable.